Skip to main content
List repository documents
curl --request GET \
  --url https://app.simpledocs.com/api/v1/repository_documents \
  --header 'Authorization: Bearer <token>'
{
  "pagination": {
    "current_page": 1,
    "per_page": 25,
    "total_pages": 3,
    "total_count": 72
  },
  "data": [
    {
      "id": "0dbhXg",
      "type": "repository_document",
      "attributes": {
        "name": "Employment Agreement.pdf",
        "custom_fields": {},
        "created_at": "2023-11-07T05:31:56Z",
        "agreement_url": "<string>"
      },
      "relationships": {
        "legal_request": {
          "data": {
            "id": "<string>",
            "type": "legal_request"
          }
        }
      }
    }
  ]
}

Authorizations

Authorization
string
header
required

Obtain a Bearer token via the Create access token endpoint using the OAuth2 client credentials flow.

Query Parameters

page
integer
default:1

Page number for pagination (defaults to 1).

Required range: x >= 1

Response

A paginated list of repository documents.

pagination
object
data
object[]